Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
TranTien056

Help Vấn Đề Group

Các bài được khuyến nghị

- Mình có vấn đề thế này.

+ Mình rất hay dùng lệnh group để tạo group các đối tượng.

+ Nhưng mỗi lần chỉnh sửa phải dùng tổ hợp phím ctrl + shilf + A để chỉnh sửa.

+ Các bạn có thể giúp mình viết lisp tổ hợp phím kia thành lệnh tắc trong cad được không ?

- Thank các bạn nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cách 1: Lôi họ hàng nhà group ra:  Tools--- Toolbars---- Autocad ---- Group. Đủ tiện ích của họ hàng nhà group cho bạn chọn.

Cách 2:

(defun c:AB ()
  (setvar "pickstyle" 0)(princ))
(defun c:AC ()
  (setvar "pickstyle" 1)(princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cách 2: AB và AC. hoặc bạn ko ưng thì đổi tự tên cho phù hợp.

 

Cách 1: Lôi họ hàng nhà group ra:  Tools--- Toolbars---- Autocad ---- Group. Đủ tiện ích của họ hàng nhà group cho bạn chọn.

Cách 2:

(defun c:AB ()
  (setvar "pickstyle" 0)(princ))
(defun c:AC ()
  (setvar "pickstyle" 1)(princ))

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Cách 1: Lôi họ hàng nhà group ra:  Tools--- Toolbars---- Autocad ---- Group. Đủ tiện ích của họ hàng nhà group cho bạn chọn.

Cách 2:

(defun c:AB ()
  (setvar "pickstyle" 0)(princ))
(defun c:AC ()
  (setvar "pickstyle" 1)(princ))

 

Cho 2 lệnh thành 1 như thế này tiện hơn ko e :)

(defun c:ge  ()
  (if (= (getvar "PICKSTYLE") 0)
    (setvar "PICKSTYLE" 1)
    (setvar "PICKSTYLE" 0))
  (princ)
  )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

^^. Như kiểu F8 ạ . : ))) Hì, em quên mất chỉ cần ON với OFF , nên lỡ cho thành 2 lệnh luôn  :blink:  :blink:

 

 

Cho 2 lệnh thành 1 như thế này tiện hơn ko e :)

(defun c:ge  ()
  (if (= (getvar "PICKSTYLE") 0)
    (setvar "PICKSTYLE" 1)
    (setvar "PICKSTYLE" 0))
  (princ)
  )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình cảm ơn các bạn đã giúp đở mình.

Lúc trước dùng máy mạnh xài cad 2017 có lệnh GE trong cad luôn. Giờ xài Cad thấp hơn nên hok có dùng không quen. 

Một lần nữa xin cảm ơn các bạn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

có thêm 1 cách nữa :

 

(defun c:go()
(defun SendKeys (keys / wscript)
 
(vlax-invoke-method (setq wscript (vlax-create-object "WScript.Shell")) 'sendkeys keys)
 
(vlax-release-object wscript)
 
)
(sendkeys "^+a")
 (princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×